Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Class GMFHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.eclipse.emf.ecore.xmi.impl.XMLHandler
              org.eclipse.emf.ecore.xmi.impl.XMIHandler
                  org.eclipse.emf.ecore.xmi.impl.SAXXMIHandler
                      org.eclipse.gmf.runtime.emf.core.resources.GMFHandler

All Implemented Interfaces:
  org.eclipse.emf.ecore.xmi.XMLDefaultHandler, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

    public class GMFHandler

extends org.eclipse.emf.ecore.xmi.impl.SAXXMIHandler

The SAX handler for MSL resources. Updates demand-created packages with their namespace prefixes and schema locations.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler
`org.eclipse.emf.ecore.xmi.impl.XMLHandler.ManyReference, org.eclipse.emf.ecore.xmi.impl.XMLHandler.MyEObjectStack, org.eclipse.emf.ecore.xmi.impl.XMLHandler.MyStack<E>, org.eclipse.emf.ecore.xmi.impl.XMLHandler.SingleReference`

Field Summary
`protected boolean` `abortOnError`
`protected java.util.Map` `urisToProxies`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMIHandler
`ID_ATTRIB, UUID_ATTRIB, VERSION_ATTRIB, XMI_ELEMENT_NAME, XMI_ELEMENT_TYPE, XMI_EXTENSION, XMI_TYPE_ATTRIB, XMI_UUID`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler

`anySimpleType, anyType, ARRAY_SIZE, attribs, capacity, contextFeature, DEBUG_DEMANDED_PACKAGES, deferIDREFResolution, deferredExtent, disableNotify, DOCUMENT_ROOT_TYPE, documentRoot, ecoreBuilder, elements, eObjectToExtensionMap, ERROR_TYPE, extendedMetaData, extent, externalURIToLocations, featuresToKinds, forwardManyReferences, forwardSingleReferences, helper, hrefAttribute, idAttribute, identifiers, isIDREF, isRoot, isSimpleFeature, locator, mixedTargets, needsPushContext, NIL_ATTRIB, NO_NAMESPACE_SCHEMA_LOCATION_ATTRIB, notFeatures, OBJECT_TYPE, objects, oldStyleProxyURIs, packageRegistry, positions, prefixesToFactories, processAnyXML, processSchemaLocations, recordAnyTypeNSDecls, recordUnknownFeature, REFERENCE_THRESHOLD, resolve, resourceEntityHandler, resourceSet, resourceURI, sameDocumentProxies, SCHEMA_LOCATION_ATTRIB, text, TYPE_ATTRIB, types, UNKNOWN_FEATURE_TYPE, uriHandler, urisToLocations, useConfigurationCache, usedNullNamespacePackage, useNewMethods, xmlMap, xmlResource, xmlSchemaTypePackage`

Constructor Summary
`GMFHandler(org.eclipse.emf.ecore.xmi.XMLResource xmiResource, org.eclipse.emf.ecore.xmi.XMLHelper helper, java.util.Map options)` Constructs a new MSL handler for the specified resource with the specified helper and options.

Method Summary
`void` `endDocument()`
`void` `error(org.eclipse.emf.ecore.xmi.XMIException e)`
`protected org.eclipse.emf.ecore.EObject` `validateCreateObjectFromFactory(org.eclipse.emf.ecore.EFactory factory, java.lang.String typeName, org.eclipse.emf.ecore.EObject newObject, org.eclipse.emf.ecore.EStructuralFeature feature)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.SAXXMIHandler
`getXSIType, handleObjectAttribs`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMIHandler
`createDocumentRoot, createObject, handleUnknownFeature, isTextFeatureValue, processElement, startElement`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler

`characters, comment, createEcoreBuilder, createObject, createObjectByType, createObjectFromFactory, createObjectFromFeatureType, createObjectFromTypeName, createTopObject, endCDATA, endDTD, endElement, endEntity, endPrefixMapping, error, fatalError, fatalError, getColumnNumber, getExtension, getFactoryForPrefix, getFeature, getFeature, getLineNumber, getLocation, getPackageForURI, getURIConverter, getXMLEncoding, growArrays, handleCDATA, handleComment, handleFeature, handleForwardReferences, handleForwardReferences, handleMissingPackage, handleMixedText, handleNamespaceAttribs, handleProcessingInstruction, handleProxy, handleSchemaLocation, handleTopLocations, handleXMLNSAttribute, handleXSINoNamespaceSchemaLocation, handleXSISchemaLocation, ignorableWhitespace, isError, isNull, notationDecl, prepare, processingInstruction, processObject, processSchemaLocations, processTopObject, recordHeaderInformation, recordNamespacesSchemaLocations, recordUnknownFeature, reportUnknownFeature, reset, resolveEntity, setAttributes, setAttribValue, setDocumentLocator, setExtendedMetaDataOption, setFeatureValue, setFeatureValue, setFeatureValues, setLocator, setValueFromId, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, toXMIException, unparsedEntityDecl, validateCreateObjectFromFactory, validateCreateObjectFromFactory, warning, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### urisToProxies

    protected final java.util.Map urisToProxies

### abortOnError

    protected boolean abortOnError

Constructor Detail

### GMFHandler

    public GMFHandler(org.eclipse.emf.ecore.xmi.XMLResource xmiResource,
                      org.eclipse.emf.ecore.xmi.XMLHelper helper,
                      java.util.Map options)

  Constructs a new MSL handler for the specified resource with the specified helper and options.

  Parameters:
    `xmiResource` - The resource for the new handler.
    `helper` - The helper for the new handler.
    `options` - The load options for the new handler.

Method Detail

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `org.eclipse.emf.ecore.xmi.impl.XMLHandler`
  See Also:
    `XMLHandler.endDocument()`

### validateCreateObjectFromFactory

    protected org.eclipse.emf.ecore.EObject validateCreateObjectFromFactory(org.eclipse.emf.ecore.EFactory factory,
                                                                            java.lang.String typeName,
                                                                            org.eclipse.emf.ecore.EObject newObject,
                                                                            org.eclipse.emf.ecore.EStructuralFeature feature)

  Overrides:
    `validateCreateObjectFromFactory` in class `org.eclipse.emf.ecore.xmi.impl.XMLHandler`
  See Also:
    `XMLHandler.validateCreateObjectFromFactory(org.eclipse.emf.ecore.EFactory, java.lang.String, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature)`

### error

    public void error(org.eclipse.emf.ecore.xmi.XMIException e)

  Overrides:
    `error` in class `org.eclipse.emf.ecore.xmi.impl.XMLHandler`
  See Also:
    `XMLHandler.error(org.eclipse.emf.ecore.xmi.XMIException)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.